Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.impl
Class ConfigurationModuleSSLVerifier

    java.lang.Object
      be.ehealth.technicalconnector.config.impl.ConfigurationModuleSSLVerifier

All Implemented Interfaces:
  ConfigurationModule

    public class ConfigurationModuleSSLVerifier

extends Object
implements ConfigurationModule

Configuration module to disable SSL Verifications. NOT indented to use in PRODUCTION MODE only for TESTING purpose. Implementation of `ConfigurationModule`

Constructor Summary
`ConfigurationModuleSSLVerifier()`

Method Summary
`void` | `init(Configuration config)` Method that initialise the configuration module.
`void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationModuleSSLVerifier

    public ConfigurationModuleSSLVerifier()

Method Detail

### init

    public void init(Configuration config)
              throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that initialise the configuration module.

  Specified by:
    `init` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

### unload

    public void unload()
                throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that restores the configuration module and reset the system to the initial situation.

  Specified by:
    `unload` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.